# Default win32 codec/dll multimedia directory
%define		win32		/usr/lib/win32

# Change this to the release you are building
%define		date		20080812

# The font size for subtitles : 14, 18, 24 or 28
%define 	fontsize	18

# Here, you may easily change to iso-8859-2 if needed
%define		fontdir		iso-8859-1

# The language to use in mplayer, one of : cz de dk en es fr hu nl no pl ro ru
%define		mplang		en

Summary: 	MPlayer, the Movie Player for Linux.
Name: 		mplayer
Version: 	%{date}
Release: 	1
License: 	Source only
Group:		Multimedia
Source0: 	%{name}.tar.bz2
Source1: 	%{name}.desktop
Source2: 	mp-arial-iso-8859-1.zip
Source3:	http://dcxx.fw.hu/mplayer/20060614/mplayer-dvdnav-patch.tar.gz
Patch0:		%{name}0.diff
Patch1:		%{name}1.diff
Patch2:		%{name}2.diff
Patch3:		%{name}3.diff
URL: 		http://mplayerhq.hu/
BuildRoot: 	%{_tmppath}/%{name}-root
BuildRequires: 	libgtk+1.2-devel SDL-devel w32codec libmad /usr/bin/find libogg-devel
BuildRequires: 	libvorbis-devel esound-devel XFree86-devel libjpeg-devel
BuildRequires: 	svgalib-devel zlib-devel libpng-devel libungif-devel aalib-devel
BuildRequires: 	audiofile-devel gpm-devel cdparanoia-III-devel ncurses-devel
BuildRequires: 	slang-devel libtermcap-devel xanim liveMedia-devel lzo-devel
BuildRequires:	libgii-devel libggi-devel faac-devel libfame-devel toolame
BuildRequires:	jack-audio-connection-kit-devel libmusicbrainz-devel
BuildRequires:	libsndfile-devel libtunepimp-devel polypaudio-devel portaudio
BuildRequires:	speex-devel taglib-devel libsamplerate-devel bio2jack-devel
BuildRequires:	twolame xvid-devel DirectFB-devel lrmi-devel vesautils-devel
BuildRequires:	x264-devel libdv-devel libdca-devel gpac-devel vstream-client
BuildRequires:	libmpcdec-devel libamr-devel js-devel dirac-devel
BuildRequires:	schroedinger-devel netembryo-devel libnemesi-devel ffmpeg-devel

%description
MPlayer plays most MPEG, VOB, AVI, VIVO, ASF/WMV, QT/MOV, FLI files, supported
by many native, XAnim, and Win32 DLL codecs. You can watch VideoCD, SVCD, DVD,
3ivx, and even DivX movies too (and you don't need the avifile library at all!).

The other big feature of mplayer is the wide range of supported output drivers.
It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB but you can
use GGI and SDL (and this way all their drivers) and some lowlevel card-specific
drivers (for Matrox, 3Dfx and Radeon) too! Most of them support software or 
hardware scaling, so you can enjoy movies in fullscreen.

MPlayer supports displaying through some hardware MPEG decoder boards, such as 
the DVB and DXR3/Hollywood+ ! And what about the nice big antialiased shaded 
subtitles (9 supported types!!!). I can also play MP3's, Ogg & Sorenson Quicktime! 

Mplayer CVS:
 svn checkout svn://svn.mplayerhq.hu/mplayer/trunk mplayer

--enable-dvdread --enable-css --with-extraincdir=/usr/include/dvdcss \ Is
turned off since --enable-mpdvdkit builds support for encrypted DVD's plus it
gives faster fps (frames per second).  dvdnav is unavailable - we use xine.

Dont worry, the disabled features below are not needed at all, they will
actually lessen your MPlayer codec experience. This RPM alone, plays it all :)

CFLAGS= ./configure <options>
  Optimizing for: pentium-m
  Languages:
    Messages/GUI: en
    Manual pages: en en

  Enabled optional drivers:
    Input: vstream ftp pvr radio tv-teletext tv-v4l2 tv-v4l tv live555 nemesi cddb cdda libdvdcss(internal) dvdread(internal) vcd dvb network
    Codecs: libschroedinger libdirac x264 xvid libdv libamr_wb libamr_nb libavcodec qtx real xanim win32 faad2 faac musepack libdca libmpeg2 liba52 mp3lib libtheora speex tremor(internal) toolame twolame libmad liblzo gif
    Audio output: alsa openal jack esd arts oss v4l2 ivtv sdl mpegpes(dvb)
    Video output: zr zr2 v4l2 ivtv dxr3 sdl vesa gif89a pnm jpeg png mpegpes(dvb) fbdev svga caca aa ggi xmga mga xvidix cvidix opengl 3dfx dga xvmc xv x11 xover dfbmga directfb bl yuv4mpeg md5sum tga tdfx_vid tdfxfb

  Disabled optional drivers:
    Input: dvdnav tv-dshow smb
    Codecs:
    Audio output: sun pulse dxr2 nas
    Video output: dxr2 winvidix xvr100 wii s3fb

#package	devel
#Summary:	Development using (libavcodec = ffmpeg) or %{name}
#Group:		Development
#Provides:	libavcodec-devel libavutil-devel libavformat-devel libpostproc-devel ffmpeg-devel
#description    devel

%prep
%setup -q -n %{name}
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
find . -name "CVS" | xargs rm -rf
find . -name '*' -print0 | xargs -0 touch -c --date=$date
CFLAGS= ./configure \
	--prefix=%{_prefix} \
	--target=i386-linux \
	--disable-dynamic-plugins \
	--disable-gui \
	--disable-runtime-cpudetection \
	--disable-directx \
        --disable-dxr2 \
        --disable-dvdnav \
        --disable-fastmemcpy \
	--disable-mmx \
	--disable-mmxext \
	--disable-3dnow \
	--disable-3dnowext \
	--disable-sse \
	--disable-sse2 \
	--enable-faad-external \
	--enable-faac \
	--enable-libdca \
	--enable-theora \
	--confdir=/etc \
	--enable-jack \
	--enable-ggi \
	--enable-xvmc \
	--enable-freetype \
	--with-freetype-config=/usr/bin/freetype-config \
	--enable-xmms \
	--enable-tv \
	--enable-tv-v4l1 \
	--enable-tv-v4l2 \
	--enable-radio \
	--enable-radio-capture \
	--enable-mad \
	--enable-vidix \
	--enable-menu \
	--enable-bl \
	--enable-libdv \
	--enable-qtx \
	--enable-xanim \
	--enable-real \
	--enable-xvid \
	--enable-x264 \
	--enable-liblzo \
	--enable-largefiles \
	--language=%{mplang} \
	--enable-zr \
	--enable-vesa \
	--enable-3dfx \
        --enable-mga \
        --enable-tdfxvid \
        --enable-tdfxfb \
        --enable-directfb \
	--enable-pthreads \
	--enable-vstream \
	--enable-ivtv \
	--enable-nemesi \
	--enable-toolame \
	--enable-twolame \
	--enable-musepack \
	--enable-speex \
	--enable-dxr3 \
	--enable-libamr_nb --enable-libamr_wb \
	--enable-libavutil_so \
	--enable-libavcodec_so \
	--enable-libavformat_so \
	--enable-libpostproc_so \
        --realcodecsdir=%{win32} \
	--xanimcodecsdir=%{win32} \
	--win32codecsdir=%{win32}
#make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
#mkdir -p $RPM_BUILD_ROOT/usr/include/ffmpeg/{i386,liba52,libpostproc,ps2,libavformat,libavutil}
#cp libavcodec/*.h $RPM_BUILD_ROOT/usr/include/ffmpeg; cp libavcodec/*.a $RPM_BUILD_ROOT/usr/lib
#cp libavcodec/i386/*.h $RPM_BUILD_ROOT/usr/include/ffmpeg/i386/
#cp libavcodec/liba52/*.h $RPM_BUILD_ROOT/usr/include/ffmpeg/liba52/
#cp libpostproc/*.h $RPM_BUILD_ROOT/usr/include/ffmpeg/libpostproc/; cp libpostproc/*.a $RPM_BUILD_ROOT/usr/lib
#cp libavcodec/ps2/*.h $RPM_BUILD_ROOT/usr/include/ffmpeg/ps2/
#cp libavformat/*.h $RPM_BUILD_ROOT/usr/include/ffmpeg/libavformat/; cp libavformat/*.a $RPM_BUILD_ROOT/usr/lib
#cp libavutil/*.h $RPM_BUILD_ROOT/usr/include/ffmpeg/libavutil/; cp libavutil/*.a $RPM_BUILD_ROOT/usr/lib
mkdir -p $RPM_BUILD_ROOT/root/.mplayer; #/font;
mkdir -p $RPM_BUILD_ROOT/etc/skel/.mplayer; #/font
cp etc/{codecs.conf,input.conf} $RPM_BUILD_ROOT/etc/
#cd $RPM_BUILD_ROOT/usr/include/ffmpeg; ln -sf ./*/*.h .; cd ..; ln -sf ffmpeg/* .
#mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia
#cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Multimedia
cd $RPM_BUILD_ROOT/root/.mplayer; ln -sf /usr/share/fonts/TTF/aircut3.ttf subfont.ttf
ln -sf /etc/{codecs.conf,input.conf} .; #cd font; ln -sf /usr/share/fonts/mplayer/font.desc .
cd $RPM_BUILD_ROOT/etc/skel/.mplayer; ln -sf /usr/share/fonts/TTF/aircut3.ttf subfont.ttf
ln -sf /etc/{codecs.conf,input.conf} .; #cd font; ln -sf /usr/share/fonts/mplayer/font.desc .
mv $RPM_BUILD_ROOT/usr/share/man $RPM_BUILD_ROOT/usr

# The skins 
#mkdir -p Skin; cd Skin; wget -c ftp://ftp5.mplayerhq.hu/mplayer/Skin/*.tar.bz2
#pushd %{buildroot}%{_prefix}/share/mplayer/Skin
#    for skin in $RPM_BUILD_DIR/%{name}/Skin/*.tar.bz2
#    do
#    tar xjf ${skin}
#    done
#popd

# The font for the subtitles
#pushd %{buildroot}%{_prefix}/share/mplayer
#    unzip %{SOURCE2}
#    rmdir font
#    ln -sf %{fontdir}/arial-%{fontsize} font
#popd

chown -R root:root $RPM_BUILD_ROOT
#chmod -R 755 $RPM_BUILD_ROOT/usr/share/mplayer/Skin
#chmod -R 644 $RPM_BUILD_ROOT/usr/share/mplayer/Skin/*/*
touch -c `find $RPM_BUILD_ROOT`
#rm -R $RPM_BUILD_ROOT/usr/share/mplayer/Skin/xanim

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
#%{_libdir}/*.so.*
#%{_libdir}/mplayer
%{_bindir}
%{_mandir}
#%{_datadir}
%{_sysconfdir}
/root

#files devel
#{_includedir}
#{_libdir}/*.a
